/**
 * DevExtreme (esm/ui/popup/ui.popup.full.js)
 * Version: 22.2.8 (build 23264-0113)
 * Build date: Thu Sep 21 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import "../toolbar";
import Popup from "../popup/ui.popup";
import registerComponent from "../../core/component_registrator";
export default class PopupFull extends Popup {
    _getToolbarName() {
        return "dxToolbar"
    }
}
PopupFull.defaultOptions = function(rule) {
    Popup.defaultOptions(rule)
};
registerComponent("dxPopup", PopupFull);
